Loading...
Searching...
No Matches
cyaml_bitdef Struct Reference

`#include <cyaml.h>`

## Data Fields

const char * | name
uint8_t | offset
uint8_t | bits

## Detailed Description

Bitfield value info.

Used for CYAML_BITFIELD type.

## Field Documentation

## bits

uint8_t cyaml_bitdef::bits

Maximum bits available for value.

## name

const char* cyaml_bitdef::name

String representing the value's name.

## offset

uint8_t cyaml_bitdef::offset

Bit offset to value in bit field.

The documentation for this struct was generated from the following file:

- include/cyaml/cyaml.h